### Function

# Gck Attribute new_invalid

#### Declaration [src]

    GckAttribute*
    gck_attribute_new_invalid (
      gulong attr_type
    )

#### Description [src]

Create a new PKCS#11 attribute as ‘invalid’ or ‘not found’ state. Specifically this sets the value length to (CK_ULONG)-1 as specified in the PKCS#11 specification.

#### Parameters

`attr_type` | `gulong`
| The PKCS#11 attribute type to set on the attribute.

#### Return value

Returns: | `GckAttribute`
| The new attribute; when done with the attribute use `gck_attribute_free()` to free it.
| The caller of the function takes ownership of the data, and is responsible for freeing it.